version: '3.7'

services:
  pgadmin:
    image: ${IMAGE_NAME:-dpage/pgadmin4}:${IMAGE_TAG:-latest}
    environment:
      PGADMIN_LISTEN_PORT:
      PGADMIN_DEFAULT_EMAIL:
      PGADMIN_DEFAULT_PASSWORD:
      PGADMIN_MAIL_SERVER:
      PGADMIN_MAIL_PORT:
      PGADMIN_MAIL_USE_TLS:
      PGADMIN_MAIL_USER:
      PGADMIN_MAIL_PASSWORD:
      SCRIPT_NAME: ${PGADMIN_PATH}
    networks:
      - postgres-vente-net
      - traefik-net
    volumes:
      - pgadmin-vol:/var/lib/pgadmin
    deploy:
      mode: replicated
      replicas: 1
      labels:
        traefik.enable: 'true'
        traefik.http.routers.pgadmin.entrypoints: http
        traefik.http.routers.pgadmin.rule: Host(`${INTERNAL_HOSTNAME}`) && PathPrefix(`${PGADMIN_PATH}`) 
        traefik.http.routers.pgadmin.service: pgadmin@docker
        traefik.http.services.pgadmin.loadbalancer.server.port: ${PGADMIN_LISTEN_PORT}
      restart_policy:
        delay: 30s
        window: 2m
      resources:
        limits:
          cpus: '0.5'
          memory: 128M
        reservations:
          memory: 103M

networks:
  postgres-vente-net:
    name: ${POSTGRES_NET_NAME:-postgres-vente-net}
    external: true
  traefik-net:
    name: ${TRAEFIK_NET_NAME:-traefik-net}
    external: true

volumes:
  pgadmin-vol:
    name: ${PGADMIN_VOL_NAME:-pgadmin-vol}